1. Customer
SimplySIM API
  • SimplySIM API Documentation
  • Customer
    • Login
      POST
    • Login via Key
      GET
    • Show User Details
      GET
    • Logout
      GET
  • Destination
    • Destinations
      GET
    • Specific Destination
      GET
  • eSIM
    • List User eSIMS
      GET
    • Get User eSIM
      GET
    • Get ESIM from Key
      GET
  1. Customer

Show User Details

Developing
GET
customer/show

Request

Header Params

Responses

🟢200OK
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://simplysim.co.uk/api/customer/show' \
--header 'X-Api-Key: eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.IiI.JewV4wLVvjmGd7cvZh3bUO0DSXNO32Nc7_W8m4C8qtQ'
Response Response Example
{
    "success": true,
    "statusCode": 0,
    "message": "string",
    "data": {
        "user_ID": "string",
        "user_thumb": "string",
        "user_firstname": "string",
        "user_surname": "string",
        "user_affiliate_code": "string",
        "user_username": "string",
        "user_password": "string",
        "user_mobile": "string",
        "user_country": "string",
        "user_enabled": "string",
        "user_verified": "string",
        "user_initial_setup": "string",
        "user_created": "string",
        "user_last_logged_in": "string",
        "user_verification_code": "string",
        "user_reset_token": null,
        "user_reset_requested": null,
        "user_login_key": "string",
        "user_ip": "string",
        "user_user_agent": "string",
        "user_admin": "string",
        "user_balance": "string",
        "thumb": "string"
    },
    "timestamp": "string"
}
Modified at 2025-05-21 16:09:36
Previous
Login via Key
Next
Logout
Built with